# Template

Templates are blueprints to store structured data for whatever your needs may be. An easy analogy to think of a template is that it's very similar to a [form](https://docs.google.com/forms/d/e/1FAIpQLSeI8_vYyaJgM7SJM4Y9AWfLq-tglWZh6yt7bEXEOJr_L-hV1A/viewform?formkey=dGx0b1ZrTnoyZDgtYXItMWVBdVlQQWc6MQ). A template is constructed of several inputs that the user determines necessary. For example, if you were storing a public user profile, you may want a "username," "twitter handle," and "bio." The first two of those are likely text inputs and bio may need to be longer such as a "textArea." In addition to every standard type of input, Urchin also permits file inputs as well as simple validations to keep any entries that will use these blueprints from violating any limits you want to set.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://urchin.gitbook.io/overview/api-reference/template.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
